Domainrecords eines Accounts auslesen
GET/v1/ accounts/ {accountIdentifier}/ domainrecords/
Diese Operation liest die Domainrecords eines einzelnen Accounts aus
Request
- accountIdentifierstringrequired
Name oder ID eines Accounts
Responses
Die Domainrecords des Accounts
- Schema documentation
- Example
- JSON Schema
- Array[
- *object
- accountobject
- customerNumbernumber
- descriptionstring
- disabledboolean
- namestring
- statusstring
- uidnumber
- virtualboolean
- certificateobject
- altNamesarray of string
- Array[
- *string
]
- commonNamestring
- isInclusiveboolean
- stagestring
- statusDescriptionstring
- uidnumber
- domainNamestringrequired
- forceHttpsboolean
Indicates if an automatic HTTPS redirect should be performed for this domain.
- fullNamestringrequired
The full name of the domain record (including parent domain and TLD).
- ipAddressstring
The IP address of the server which is hosting this domain. If the domain is registered via mittwald (more precisely: if its DNS zone is managed by mittwald), this will automatically be the content of the DNS A record. If the DNS zone is managed by an external DNS vendor, this IP address needs to be configured as A record there.
- isSubDomainbooleanrequired
- isUsingMittwaldMailsystembooleanrequired
trueif this domain record should use the mittwald mail system (only relevant for domains whose DNS zone is managed by mittwald). In this case, the DNS zone's MX records will point to the mittwald-operated email server. - registrarStatusstring
- statusnumberrequired
- targetstring
- tldstringrequired
- uidnumber
]
Content-Type: application/json
[
{
"account": {
"customerNumber": 123,
"description": "string",
"disabled": true,
"name": "string",
"status": "string",
"uid": 123,
"virtual": true
},
"certificate": {
"altNames": [
"string"
],
"commonName": "string",
"isInclusive": true,
"stage": "string",
"statusDescription": "string",
"uid": 123
},
"domainName": "string",
"forceHttps": true,
"fullName": "string",
"ipAddress": "string",
"isSubDomain": true,
"isUsingMittwaldMailsystem": true,
"registrarStatus": "string",
"status": 123,
"target": "string",
"tld": "string",
"uid": 123
}
]
{
"type": "array",
"items": {
"type": "object",
"required": [
"domainName",
"fullName",
"isSubDomain",
"isUsingMittwaldMailsystem",
"tld",
"status"
],
"properties": {
"account": {
"type": "object",
"properties": {
"customerNumber": {
"type": "number"
},
"description": {
"type": "string"
},
"disabled": {
"type": "boolean"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"uid": {
"type": "number"
},
"virtual": {
"type": "boolean"
}
}
},
"certificate": {
"type": "object",
"properties": {
"altNames": {
"type": "array",
"items": {
"type": "string"
}
},
"commonName": {
"type": "string"
},
"isInclusive": {
"type": "boolean"
},
"stage": {
"type": "string"
},
"statusDescription": {
"type": "string"
},
"uid": {
"type": "number"
}
}
},
"domainName": {
"type": "string"
},
"forceHttps": {
"type": "boolean",
"description": "Indicates if an automatic HTTPS redirect should be performed for this domain.\n"
},
"fullName": {
"type": "string",
"description": "The full name of the domain record (including parent domain and TLD)."
},
"ipAddress": {
"type": "string",
"description": "The IP address of the server which is hosting this domain. If the domain is registered via mittwald (more precisely: if its DNS zone is managed by mittwald), this will automatically be the content of the DNS A record. If the DNS zone is managed by an external DNS vendor, this IP address needs to be configured as A record there.\n"
},
"isSubDomain": {
"type": "boolean"
},
"isUsingMittwaldMailsystem": {
"type": "boolean",
"description": "`true` if this domain record should use the mittwald mail system (only relevant for domains whose DNS zone is managed by mittwald). In this case, the DNS zone's MX records will point to the mittwald-operated email server.\n"
},
"registrarStatus": {
"type": "string"
},
"status": {
"type": "number"
},
"target": {
"type": "string"
},
"tld": {
"type": "string"
},
"uid": {
"type": "number"
}
}
}
}
Usage examples
- cURL
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string/domainrecords?limit=50&offset=123&visibleOnly=true